# Interface_CheckFailure.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_Interface_CheckFailure.hxx>`
`#include <Standard_SStream.hxx>`
`#include <Interface_InterfaceError.hxx>`

## Defines

#define | Interface_CheckFailure_Raise_if(CONDITION, MESSAGE) if (CONDITION) Interface_CheckFailure::Raise(MESSAGE);

## Define Documentation

#define Interface_CheckFailure_Raise_if | ( | CONDITION,
|  | MESSAGE |  | ) | if (CONDITION) Interface_CheckFailure::Raise(MESSAGE);